Skip to main content

Update Asset status Thresholds

PUT 

/organizations/:organizationId/assets/:assetId/status-thresholds

Update asset status thresholds

Request​

Path Parameters

    organizationId stringrequired

    The ID of organization.

    assetId stringrequired

    The ID of the asset.

Body

required
    statusThresholds objectrequired

    The status of asset threshold.

    critical object[]required
  • Array [
  • property stringrequired
    symbol stringrequired
    valueDataType stringrequired
    value numberrequired
    operator string
  • ]
  • warning object[]required
  • Array [
  • property stringrequired
    symbol stringrequired
    valueDataType stringrequired
    value numberrequired
    operator string
  • ]

Responses​

Schema
    data objectrequired

    Data of the asset threshold.

    statusThresholds objectrequired
    critical object[]required
  • Array [
  • property stringrequired
    symbol stringrequired
    valueDataType stringrequired
    value numberrequired
    operator string
  • ]
  • warning object[]required
  • Array [
  • property stringrequired
    symbol stringrequired
    valueDataType stringrequired
    value numberrequired
    operator string
  • ]
Loading...
Was this page helpful?